/*
 * @Author: wufan
 * @Date: 2020-11-25 18:25:02
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2021-08-01 09:38:54
 * @Description: Description
 * @@Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */
import { getEmployeeList, getUserList, getStoreDecorationList, getStoreRole, addEmployee, editEmployee, deleteEmployee, getCourseCatalogList,
   getAllSonCategory, addCourseCategory, delCourseCategory, editCourseCategory, deleteStoreDecorationList, addStoreBanner, editStoreBanner,
  moveBannerSequence,getStoreUserBasicPage,updateStoreMessage,getStoreDetail,getByDepartmentId,getDepartmentUser,getDepartmentUserNotPage,addDepartment,
  editDepartment,delDepartment,queryDepartmentTree,getStoreCustomerAndDepNamePage,delDepartmentUser,syncWorkWeChatDepartment,getSyncCount
  } from '@/data-source/store/request-apis';

export default class StoreService {
  // 获取员工列表 
  static getEmployeeList(params: any) {
    return getEmployeeList(params);
  }
  // 获取不受权限控制的员工列表 
  static getStoreUserBasicPage(params: any) {
    return getStoreUserBasicPage(params);
  }
  // 获取学院角色
  static getStoreRole(params: any) {
    return getStoreRole(params);
  }

  // 删除员工
  static deleteEmployee(params: any) {
    return deleteEmployee(params);
  }

  // 添加员工
  static addEmployee(params: any) {
    return addEmployee(params);
  }

  // 编辑员工
  static editEmployee(params: any) {
    return editEmployee(params);
  }

  // 获取用户列表 
  static getUserList(params: any) {
    return getUserList(params);
  }

  // 获取学院banner列表 
  static getStoreDecorationList(params: any) {
    return getStoreDecorationList(params);
  }

  // 删除学院banner列表 
  static deleteStoreDecorationList(params: any) {
    return deleteStoreDecorationList(params);
  }

  // 添加学院banner列表 
  static addStoreBanner(params: any) {
    return addStoreBanner(params);
  }
  // 替换学院banner列表 
  static editStoreBanner(params: any) {
    return editStoreBanner(params);
  }
  // 移动学院banner列表 
  static moveBannerSequence(params: any) {
    return moveBannerSequence(params);
  }

  // 获取课程分类列表 
  static getCourseCatalogList(params: any) {
    return getCourseCatalogList(params);
  }
  static getAllSonCategory(params: any) {
    return getAllSonCategory(params);
  }
  static addCourseCategory(params: any) {
    return addCourseCategory(params);
  }
  static editCourseCategory(params: any) {
    return editCourseCategory(params);
  }
  static delCourseCategory(params: any) {
    return delCourseCategory(params);
  }
  static updateStoreMessage(params: any) {
    return updateStoreMessage(params);
  }
  static getStoreDetail(params: any) {
    return getStoreDetail(params);
  }
  static getByDepartmentId(params:any){
    return getByDepartmentId(params);
  }
  static getDepartmentUser(params:any){
    return getDepartmentUser(params);
  }
  static getDepartmentUserNotPage(params:any){
    return getDepartmentUserNotPage(params);
  }
  static addDepartment(params:any){
    return addDepartment(params);
  }
  static editDepartment(params:any){
    return editDepartment(params);
  }
  static delDepartment(params:any){
    return delDepartment(params);
  }
  static queryDepartmentTree(params:any){
    return queryDepartmentTree(params);
  }
  static getStoreCustomerAndDepNamePage(params:any){
    return getStoreCustomerAndDepNamePage(params);
  }
  static delDepartmentUser(params:any){
    return delDepartmentUser(params);
  }
  static syncWorkWeChatDepartment(params:any){
    return syncWorkWeChatDepartment(params);
  }
  static getSyncCount(params:any){
    return getSyncCount(params);
  }
}